.leaflet-legend {
    line-height: 18px;
    background-color: #ffffff;
    border-radius: 5px;
}
.leaflet-legend i {
    width: 18px;
    height: 18px;
    float: left;
    margin-right: 8px;
    /* border-radius: 50%; */
    /* opacity: 0.7; */
}

 /* Tooltip container */
.leaflet-popup-content .tooltip {
  position: relative;
  display: inline-block;
}

/* Tooltip text */
.leaflet-popup-content .tooltip .tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: #555;
  color: #fff;
  text-align: center;
  padding: 5px 0;
  border-radius: 6px;

  /* Position the tooltip text */
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  margin-left: -60px;

  /* Fade in tooltip */
  opacity: 0;
  transition: opacity 0.3s;
}

/* Tooltip arrow */
.leaflet-popup-content .tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

/* Show the tooltip text when you mouse over the tooltip container */
.leaflet-popup-content .tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
} 